APPEND %tutu_var%sil

IF WEIGHT #-1 ~G("J#TalkedPirate",1)
G("J#TalkedSil",0)~ piratetalk
  SAY @0
++ @1 GOTO nowwefight
++ @2 GOTO trespass
++ @3 + trespass
++ @4 + nowwefight
END

IF ~~ nowwefight
  SAY @5
  IF ~~ THEN DO ~Shout(1) SetGlobal("J#SilEnemy","GLOBAL",1)
Enemy()~ EXIT
END

IF ~~ trespass
  SAY @6
=
@7
  ++ @8 GOTO helpyou
  ++ @9 GOTO treasurefight
  ++ @10 GOTO helpyou
  ++ @11 GOTO treasurefight
END

IF ~~ treasurefight
  SAY @12
  IF ~~ THEN DO ~Shout(1) SetGlobal("J#SilEnemy","GLOBAL",1)
Enemy()~ EXIT
END

IF ~~ helpyou
  SAY @13
=
@14
  IF ~~ THEN DO ~SG("J#TalkedSil",1)~ EXIT
END

IF WEIGHT #-1 ~G("J#TalkedSil",1)~ silkill
  SAY @15
  ++ @16 + backtoit
  + ~G("J#PirateFight",2)~ + @17 + manythanks
  + ~G("J#SilMurder",1)~ + @18 + fightme
END

IF ~~ backtoit
  SAY @19
  IF ~~ THEN EXIT
END

IF ~~ manythanks
  SAY @20
  IF ~~ THEN DO ~SG("J#PirateFight",3)
AddExperienceParty(1500) 
ActionOverride("J#sirin1",EscapeArea())
ActionOverride("J#sirin2",EscapeArea())
SmallWait(5)
EscapeArea()~ EXIT
END

IF ~~ fightme
  SAY @21
  IF ~~ THEN DO ~Shout(1)
ReputationInc(-1)
SG("J#SilMurder",2) SetGlobal("J#SilEnemy","GLOBAL",1)
Enemy()~ EXIT
END
END // end APPEND
